PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
plask::DataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceT, VariadicTemplateTypesHolder< ExtraArgs... > > Class Template Referenceabstract

`#include <plask/filters/base.hpp>`

## Public Types
typedef OutputSpaceT | OutputSpaceType
typedef PropertyT::EnumType | EnumType
typedef PropertyAt< PropertyT, OutputSpaceType >::ValueType | ValueType
| Type of property value in output space.

## Public Member Functions
virtual | ~DataSourceImpl ()
virtual std::function< plask::optional< ValueType >(std::size_t index)> | operator() (EnumType num, const shared_ptr< const MeshD< OutputSpaceType::DIM > > &dst_mesh, ExtraArgs... extra_args, InterpolationMethod method) const =0
virtual size_t | size () const =0
std::function< plask::optional< ValueType >(std::size_t index)> | operator() (EnumType num, const shared_ptr< const MeshD< OutputSpaceType::DIM > > &dst_mesh, std::tuple< ExtraArgs... > extra_args, InterpolationMethod method) const

## Public Attributes
boost::signals2::signal< void()> | changed
| Signal called when source has been changed.

## Detailed Description

template<typename PropertyT, typename OutputSpaceT, typename... ExtraArgs>
class plask::DataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceT, VariadicTemplateTypesHolder< ExtraArgs... > >

Definition at line 94 of file base.hpp.

## Member Typedef Documentation

## ◆ EnumType

template<typename PropertyT , typename OutputSpaceT , typename... ExtraArgs>

typedef PropertyT::EnumType plask::DataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceT, VariadicTemplateTypesHolder< ExtraArgs... > >::EnumType

Definition at line 103 of file base.hpp.

## ◆ OutputSpaceType

template<typename PropertyT , typename OutputSpaceT , typename... ExtraArgs>

typedef OutputSpaceT plask::DataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceT, VariadicTemplateTypesHolder< ExtraArgs... > >::OutputSpaceType

Definition at line 102 of file base.hpp.

## ◆ ValueType

template<typename PropertyT , typename OutputSpaceT , typename... ExtraArgs>

typedef PropertyAt<PropertyT,OutputSpaceType>::ValueType plask::DataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceT, VariadicTemplateTypesHolder< ExtraArgs... > >::ValueType

Type of property value in output space.

Definition at line 122 of file base.hpp.

## Constructor & Destructor Documentation

## ◆ ~DataSourceImpl()

template<typename PropertyT , typename OutputSpaceT , typename... ExtraArgs>

virtual plask::DataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceT, VariadicTemplateTypesHolder< ExtraArgs... > >::~DataSourceImpl | ( |  | ) |
| inline virtual

Definition at line 137 of file base.hpp.

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename PropertyT , typename OutputSpaceT , typename... ExtraArgs>

virtual std::function< plask::optional< ValueType >(std::size_t index)> plask::DataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceT, VariadicTemplateTypesHolder< ExtraArgs... > >::operator() | ( | EnumType | num,
|  | const shared_ptr< const MeshD< OutputSpaceType::DIM > > & | dst_mesh,
|  | ExtraArgs... | extra_args,
|  | InterpolationMethod | method
| ) |  | const
| pure virtual

## ◆ operator()() [2/2]

template<typename PropertyT , typename OutputSpaceT , typename... ExtraArgs>

std::function< plask::optional< ValueType >(std::size_t index)> plask::DataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceT, VariadicTemplateTypesHolder< ExtraArgs... > >::operator() | ( | EnumType | num,
|  | const shared_ptr< const MeshD< OutputSpaceType::DIM > > & | dst_mesh,
|  | std::tuple< ExtraArgs... > | extra_args,
|  | InterpolationMethod | method
| ) |  | const
| inline

Definition at line 143 of file base.hpp.

## ◆ size()

template<typename PropertyT , typename OutputSpaceT , typename... ExtraArgs>

virtual size_t plask::DataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceT, VariadicTemplateTypesHolder< ExtraArgs... > >::size | ( |  | ) | const
| pure virtual

## Member Data Documentation

## ◆ changed

template<typename PropertyT , typename OutputSpaceT , typename... ExtraArgs>

boost::signals2::signal<void()> plask::DataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceT, VariadicTemplateTypesHolder< ExtraArgs... > >::changed

Signal called when source has been changed.

Definition at line 108 of file base.hpp.

The documentation for this class was generated from the following file:

- plask/filters/base.hpp